# Changed by Makefile of cvs.
# DON'T MODIFY THIS FILE OUT OF CVS!

%define version 0.10
%define name drakfax

Summary:	Fax configuration tool
Name:		%{name}
Version:	%{version}
Release:    7mdk
#cvs source
# http://www.mandrivalinux.com/en/cvs.php3
Source0:	%{name}-%{version}.tar.bz2
License:	GPL
URL:		https://qa.mandriva.com
Group:		System/Configuration/Other
Requires:	drakxtools >= 10-0.9mdk, perl-Gtk2 >= 1.023-2mdk, hylafax-client >= 4.1.8-2mdk
Buildrequires: perl-MDK-Common-devel
BuildArch:  noarch
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
drakfax is a tool to setup a fax (modem fax), to send and receive 
facsimiles.
drakfax also provides a client to send facsimile locally or via 
a hylafax server.

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT install 

#install lang
%{find_lang} drakfax

#install menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} << EOF
?package(%{name}):\ 
needs="x11" \
icon="drakfax.png" \
section="Office/Communications/Fax" \
title="DrakFax" \
longtitle="A client and server fax configuration tool" \
command="/usr/bin/drakfax"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f drakfax.lang
%defattr(-,root,root)
%doc COPYING FEATURES
%{_bindir}/*
%{_sbindir}/*
%{_datadir}/drakfax
%{_menudir}/%{name}
%{_miconsdir}/*.png
%{_iconsdir}/*.png
%{_liconsdir}/*.png

%changelog
* Mon Sep 19 2005 Daouda LO <daouda@mandriva.com> 0.10-7mdk
- remove warnings 
- po updates

* Sat May  7 2005 Daouda LO <daouda@mandriva.com> 0.10-6mdk
- switch to Mandriva

* Fri Jan 21 2005 Daouda LO <daouda@mandrakesoft.com> 0.10-5mdk
- fix main loop	

* Tue Oct 05 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.10-4mdk
- Rebuild

* Mon Oct 04 2004 Pablo Saratxaga <pablo@mandrakesoft.com> 0.10-3mdk
- updated po files

* Tue Sep 14 2004 Daouda LO <daouda@mandrakesoft.com> 0.10-2mdk
- po updates
- bump release to 2mdk

* Fri May 21 2004 Daouda LO <daouda@mandrakesoft.com> 0.10-0.6mdk
- Buildrequires (per Oyvind)

* Thu Mar 25 2004 Daouda LO <daouda@mandrakesoft.com> 0.10-0.5mdk
- launch drakfax_server from mcc
- remove banner when embedded

* Wed Mar 10 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.10-0.4mdk
- server configuration:
  o fix tool crash
  o fix tool call
- sanitize GUI:
  o do not use stock icons
  o fix button layout
  o remove a few useless separators below frames
  o use std buttons order

* Mon Mar  1 2004 Daouda LO <daouda@mandrakesoft.com> 0.10-0.3mdk
- Requires hylafax-client for network fax printing
- new icons 
- po updates 

* Wed Feb 18 2004 David Baudens <baudens@mandrakesoft.com> 0.10-0.2mdk
- Move menu entry in Office/Communications/Fax

* Thu Feb 12 2004 Daouda LO <daouda@mandrakesoft.com> 0.10-0.1mdk
- First Mandrake release
- Read FEATURES file in docdir to see drakfax's capabilities
